Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.util
Class ConnectionFactory

    java.lang.Object
      org.neuroph.util.ConnectionFactory

    public class ConnectionFactory

extends Object

Provides methods to connect neurons by creating Connection objects.

Constructor Summary
`ConnectionFactory()`

Method Summary
`static void` | `createConnection(Neuron fromNeuron, Neuron toNeuron)` Creates connection between two specified neurons
`static void` | `createConnection(Neuron fromNeuron, Neuron toNeuron, double weightVal)` Creates connection between two specified neurons
`static void` | `createConnection(Neuron fromNeuron, Neuron toNeuron, double weightVal, int delay)`
`static void` | `createConnection(Neuron fromNeuron, Neuron toNeuron, Weight weight)` Creates connection between two specified neurons
`static void` | `forwardConnect(Layer fromLayer, Layer toLayer)` Creates forward connection pattern between specified layers
`static void` | `forwardConnect(Layer fromLayer, Layer toLayer, double weightVal)` Creates forward connectivity pattern between the specified layers
`static void` | `fullConnect(Layer layer)` Creates full connectivity within layer - each neuron with all other within the same layer
`static void` | `fullConnect(Layer layer, double weightVal)` Creates full connectivity within layer - each neuron with all other within the same layer with the specified weight values for all conections.
`static void` | `fullConnect(Layer layer, double weightVal, int delay)` Creates full connectivity within layer - each neuron with all other within the same layer with the specified weight and delay values for all conections.
`static void` | `fullConnect(Layer fromLayer, Layer toLayer)` Creates full connectivity between the two specified layers
`static void` | `fullConnect(Layer fromLayer, Layer toLayer, boolean connectBiasNeuron)` Creates full connectivity between the two specified layers
`static void` | `fullConnect(Layer fromLayer, Layer toLayer, double weightVal)` Creates full connectivity between two specified layers with specified weight for all connections

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionFactory

    public ConnectionFactory()

Method Detail

### createConnection

    public static void createConnection(Neuron fromNeuron,
                                        Neuron toNeuron)

  Creates connection between two specified neurons

  Parameters:
    `fromNeuron` - output neuron
    `toNeuron` - input neuron

### createConnection

    public static void createConnection(Neuron fromNeuron,
                                        Neuron toNeuron,
                                        double weightVal)

  Creates connection between two specified neurons

  Parameters:
    `fromNeuron` - neuron to connect (connection source)
    `toNeuron` - neuron to connect to (connection target)
    `weightVal` - connection weight value

### createConnection

    public static void createConnection(Neuron fromNeuron,
                                        Neuron toNeuron,
                                        double weightVal,
                                        int delay)

### createConnection

    public static void createConnection(Neuron fromNeuron,
                                        Neuron toNeuron,
                                        Weight weight)

  Creates connection between two specified neurons

  Parameters:
    `fromNeuron` - neuron to connect (connection source)
    `toNeuron` - neuron to connect to (connection target)
    `weight` - connection weight

### fullConnect

    public static void fullConnect(Layer fromLayer,
                                   Layer toLayer)

  Creates full connectivity between the two specified layers

  Parameters:
    `fromLayer` - layer to connect
    `toLayer` - layer to connect to

### fullConnect

    public static void fullConnect(Layer fromLayer,
                                   Layer toLayer,
                                   boolean connectBiasNeuron)

  Creates full connectivity between the two specified layers

  Parameters:
    `fromLayer` - layer to connect
    `toLayer` - layer to connect to

### fullConnect

    public static void fullConnect(Layer fromLayer,
                                   Layer toLayer,
                                   double weightVal)

  Creates full connectivity between two specified layers with specified weight for all connections

  Parameters:
    `fromLayer` - output layer
    `toLayer` - input layer
    `weightVal` - connection weight value

### fullConnect

    public static void fullConnect(Layer layer)

  Creates full connectivity within layer - each neuron with all other within the same layer

### fullConnect

    public static void fullConnect(Layer layer,
                                   double weightVal)

  Creates full connectivity within layer - each neuron with all other within the same layer with the specified weight values for all conections.

### fullConnect

    public static void fullConnect(Layer layer,
                                   double weightVal,
                                   int delay)

  Creates full connectivity within layer - each neuron with all other within the same layer with the specified weight and delay values for all conections.

### forwardConnect

    public static void forwardConnect(Layer fromLayer,
                                      Layer toLayer,
                                      double weightVal)

  Creates forward connectivity pattern between the specified layers

  Parameters:
    `fromLayer` - layer to connect
    `toLayer` - layer to connect to

### forwardConnect

    public static void forwardConnect(Layer fromLayer,
                                      Layer toLayer)

  Creates forward connection pattern between specified layers

  Parameters:
    `fromLayer` - layer to connect
    `toLayer` - layer to connect to

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.